Bug 1624406 - Cluster admin, click "View Archive" shows no result in Kibana due to default index pattern is ".operation
Summary: Cluster admin, click "View Archive" shows no result in Kibana due to default ...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Logging
Version: 3.10.0
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: ---
: 3.10.z
Assignee: Jeff Cantrill
QA Contact: Qiaoling Tang
URL:
Whiteboard:
Depends On: 1587807
Blocks: 1598305
TreeView+ depends on / blocked
 
Reported: 2018-08-31 13:31 UTC by Jeff Cantrill
Modified: 2018-12-13 17:09 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Cause: Kibana index pattern seeding was modified to reduce the number of entries in the droplist that were visible to cluster admins. Consequence: Cluster-admin's navigating to Kibana for logging from the web console were no longer sent to the correct URL. Fix: Take into consideration a user's cluster-admin role when creating the web console link to pod logs in Kibana Result: The link is created correctly.
Clone Of: 1587807
Environment:
Last Closed: 2018-12-13 17:09:08 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2018:3750 None None None 2018-12-13 17:09:14 UTC
Github openshift origin-web-console pull 3087 None None None 2018-10-25 18:38:09 UTC

Comment 2 Jeff Cantrill 2018-10-25 18:38:09 UTC
Update to https://github.com/openshift/origin-web-console/pull/3087

Comment 6 Qiaoling Tang 2018-11-29 07:28:09 UTC
The bug isn't fixed in ose-web-console-v3.10.79-1

Steps and results

1. give user admin cluster-admin role, log into openshift with admin, create project test1, and create some apps in the project

2. log into openshift web console, find pods under test1 namespace, click "View Archive" to redirect to kibana, there is no log could be found, and there is one warning in page
Discover: "project.test1.1aa15033-f3a6-11e8-a8b6-0e0e8eca8496.*" is not a configured pattern. Using the default index pattern: ".operations.*"

3. Change the default index pattern to .all or project.* from Kibana "Settings" tab, although there is still warning info, but logs could be found
Discover: "project.test1.1aa15033-f3a6-11e8-a8b6-0e0e8eca8496.*" is not a configured pattern. Using the default index pattern: ".all"

Comment 9 Qiaoling Tang 2018-12-04 05:38:20 UTC
Verified in ose-web-console-v3.10.83-1

Comment 11 errata-xmlrpc 2018-12-13 17:09:08 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2018:3750


Note You need to log in before you can comment on or make changes to this bug.